Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/WalkingEngine/GT2005Parameters.h File Reference

`#include "Tools/Math/Vector3.h"`
`#include "Tools/Math/Pose2D.h"`
`#include "Representations/Motion/MotionRequest.h"`
`#include "GT2005Polygon.h"`
`#include "Tools/Debugging/Debugging.h"`
`#include <string.h>`
`#include <math.h>`

Include dependency graph for GT2005Parameters.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GT2005Parameters
class | GTWalkParametersIndividual
| The class represents an individual for a set of walking parameters. More...
## Functions
In & | operator>> (In &stream, GT2005Parameters &Parameters)
Out & | operator<< (Out &stream, const GT2005Parameters &Parameters)
In & | operator>> (In &stream, GTWalkParametersIndividual &individualParameters)
Out & | operator<< (Out &stream, const GTWalkParametersIndividual &individualParameters)

## Function Documentation

In& operator>> | ( | In & | stream,
|  | GT2005Parameters & | Parameters
| ) |

| Definition at line 1160 of file GT2005Parameters.cpp. References GT2005Parameters::activePoints, GT2005Parameters::backwardPoly, GT2005Parameters::boostPoly, GT2005Parameters::counterRotation, GT2005Parameters::dbackwardPoly, GT2005Parameters::dforwardPoly, GT2005Parameters::evoPoly, GT2005Parameters::footPhase, GT2005Parameters::footZeroPosition, GT2005Parameters::forwardPoly, GT2005Parameters::grabPoly, GT2005Parameters::omniPoly, GT2005Parameters::rgrabPoly, GT2005Parameters::rotPoly, GT2005Parameters::sbackwardPoly, GT2005Parameters::sforwardPoly, GT2005Parameters::sidewardsPoly, and GT2005Parameters::stepLength.

Out& operator<< | ( | Out & | stream,
|  | const GT2005Parameters & | Parameters
| ) |

| Definition at line 1188 of file GT2005Parameters.cpp. References GT2005Parameters::activePoints, GT2005Parameters::backwardPoly, GT2005Parameters::boostPoly, GT2005Parameters::counterRotation, GT2005Parameters::dbackwardPoly, GT2005Parameters::dforwardPoly, GT2005Parameters::evoPoly, GT2005Parameters::footPhase, GT2005Parameters::footZeroPosition, GT2005Parameters::forwardPoly, GT2005Parameters::grabPoly, GT2005Parameters::omniPoly, GT2005Parameters::rgrabPoly, GT2005Parameters::rotPoly, GT2005Parameters::sbackwardPoly, GT2005Parameters::sforwardPoly, GT2005Parameters::sidewardsPoly, and GT2005Parameters::stepLength.

In& operator>> | ( | In & | stream,
|  | GTWalkParametersIndividual & | individualParameters
| ) |

| Definition at line 1372 of file GT2005Parameters.cpp. References GTWalkParametersIndividual::bMessage, GT2005Parameters::evoPoly, GTWalkParametersIndividual::fitness, GTWalkParametersIndividual::strategyParameters, GTWalkParametersIndividual::strategyParameterStepLength, and GTWalkParametersIndividual::walkingParameters.

Out& operator<< | ( | Out & | stream,
|  | const GTWalkParametersIndividual & | individualParameters
| ) |

| Definition at line 1394 of file GT2005Parameters.cpp. References GTWalkParametersIndividual::bMessage, GT2005Parameters::evoPoly, GTWalkParametersIndividual::fitness, GTWalkParametersIndividual::strategyParameters, GTWalkParametersIndividual::strategyParameterStepLength, and GTWalkParametersIndividual::walkingParameters.